Loading...
Searching...
No Matches
base64.c File Reference
`#include <string.h>`
`#include "orcania.h"`

## Functions

int | o_base64_encode (const unsigned char *src, size_t len, unsigned char *out, size_t *out_len)
int | o_base64_decode (const unsigned char *src, size_t len, unsigned char *out, size_t *out_len)
int | o_base64url_encode (const unsigned char *src, size_t len, unsigned char *out, size_t *out_len)
int | o_base64url_decode (const unsigned char *src, size_t len, unsigned char *out, size_t *out_len)
int | o_base64url_2_base64 (const unsigned char *src, size_t len, unsigned char *out, size_t *out_len)
int | o_base64_2_base64url (const unsigned char *src, size_t len, unsigned char *out, size_t *out_len)
int | o_base64_encode_alloc (const unsigned char *src, size_t len, struct _o_datum *dat)
int | o_base64_decode_alloc (const unsigned char *src, size_t len, struct _o_datum *dat)
int | o_base64url_encode_alloc (const unsigned char *src, size_t len, struct _o_datum *dat)
int | o_base64url_decode_alloc (const unsigned char *src, size_t len, struct _o_datum *dat)
int | o_base64url_2_base64_alloc (const unsigned char *src, size_t len, struct _o_datum *dat)
int | o_base64_2_base64url_alloc (const unsigned char *src, size_t len, struct _o_datum *dat)